package org.jeecg.modules.stm.page.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.stm.metric.entity.MetricReport;
import org.jeecg.modules.stm.page.entity.PageTitleconfig;
import org.jeecg.modules.stm.page.vo.PageMetricMoniVo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 首页配置
 * @Author: jeecg-boot
 * @Date:   2024-01-09
 * @Version: V1.0
 */
public interface PageTitleconfigMapper extends BaseMapper<PageTitleconfig> {
    List<PageTitleconfig> getTjByFxjcList();
    Integer getTjByFxjcListZs();
    List<PageMetricMoniVo> getMetricReportList(MetricReport metricReport);

    List<Map<String,Object>> getFirstPageFxcStat();

}
